Bug 135666 - FILEOPEN DOCX OLE object border settings not imported
Summary: FILEOPEN DOCX OLE object border settings not imported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX-OLE-Objects
  Show dependency treegraph
 
Reported: 2020-08-12 12:55 UTC by NISZ LibreOffice Team
Modified: 2020-09-14 07:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (19.69 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-08-12 12:55 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (127.75 KB, image/png)
2020-08-12 12:56 UTC, NISZ LibreOffice Team
Details
Screenshot of the same bordered OLE side by side Word and Writer 7.1 (90.60 KB, image/png)
2020-09-03 06:59 UTC, Attila Bakos (NISZ)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-08-12 12:55:42 UTC
Created attachment 164203 [details]
Example file from Word

Attached document contains an OLE-object with border line properties set: blue, dotted, 2pt wide line.
Opening this file in Writer there are no border properties imported.

Steps to reproduce:
    1. Open attached file

Actual results:
OLE object has no border line.

Expected results:
OLE object should have a blue, dotted, 2pt wide border line.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-08-12 12:56:21 UTC
Created attachment 164204 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 Dániel Arató (NISZ) 2020-08-31 13:15:32 UTC
Solved as collateral in Attila Bakos' patch for https://bugs.documentfoundation.org/show_bug.cgi?id=135653

Should we mark this ticket as Resolved?
Comment 3 Attila Bakos (NISZ) 2020-09-03 06:59:30 UTC
Created attachment 165063 [details]
Screenshot of the same bordered OLE side by side Word and Writer 7.1
Comment 4 NISZ LibreOffice Team 2020-09-14 07:00:45 UTC
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 34a09c9c61bff30e8c4d16132bb47b2b1b16e422
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded